跳到主要內容

OpenWebMail的HTML Editor在Chrome無法使用

我很少寫email用HTML格式,今天想用表格才發現OpenWebMail的HTML Editor不准Chrome使用,但其實是相容的,因此小小修改一下。只要在openwebmail-send.pl 第2631列加上
 if( $u=~m!Chrome!) # Chrome patch 
{
return 1;
}


patch file 如下:
--- openwebmail-send.pl     2009-01-06 16:48:24.000000000 +0800 
+++ /usr/local/www/cgi-bin/openwebmail/openwebmail-send.pl 2009-02-22 22:33:41.000000000 +0800
@@ -2631,6 +2631,11 @@
########## HTMLAREA_COMPATIBLE ###################################
sub htmlarea_compatible {
my $u=$ENV{'HTTP_USER_AGENT'};
+
+ if( $u=~m!Chrome!) # Chrome patch
+ {
+ return 1;
+ }
if ( $u=~m!Mozilla/4.0! &&
$u=~m!compatible;!) {
return 0 if ($u=~m!Opera!); # not Opera

留言

Hades寫道…
你好
小弟的平台是FreeBSD 但是
安裝OpenWebmail 2.52
在火狐下也無法使用html editor
請問大大知道為什麼嗎?
或者是說要另外安裝什麼東西嗎?
安裝是使用Ports去安裝的
要勾選什麼嗎?
鳥毅寫道…
Hades:
我猜你可能沒有把html編輯的選項打開,這部份請參考官網,內建的HTML Editor是支援Firefox。
至於版本,請先把ports更新,我裝的是OpenWebMail 2.53。
還有多裝什麼套件,得看你有沒有用make config去設定,以下是我用的 /var/db/ports/openwebmail/option

# This file is auto-generated by 'make config'.
# No user-servicable parts inside!
# Options for openwebmail-2.53
_OPTIONS_READ=openwebmail-2.53
WITH_ANTIWORD=true
WITH_IMAGEMAGICK=true
WITH_ISPELL=true
WITHOUT_LEARNSPAM=true
WITHOUT_LSOF=true
WITH_PAM=true
WITH_POP3_OVER_SSL=true
WITH_QUOTA=true
WITHOUT_SPAMCHECK=true
WITHOUT_SPAMCHECK_ALL=true
WITH_SPEEDYCGI=true
WITHOUT_TNEF=true
WITH_VIRUSCHECK=true
WITH_VIRUSCHECK_ALL=true
WITH_WGET=true
WITH_ZLIB=true

這個網誌中的熱門文章

自然人憑證讀卡機驅動程式

鳥毅用的是第一代的自然人憑證讀卡機,EZ100PU(後來有同事買EZmini可以讀SIM卡似乎更好),每年報稅時用一次。

本來只是要申請些政府業務,一時之間找不到光碟,沒想到在驅動程式下載居然看到Linux和Mac的驅動程式,剩下的就是政府單位的網頁和程式應該改版了吧!!!

在Windows Server設定L2TP over IPSec VPN

簡單地說,macOS Sierra與iOS 10發表後,大家忽然發現Apple不再支援PPTP,所以一定得設定其他的VPN型態。若不要另外裝client,用L2TP是最方便的,SSL VPN雖然好,但若沒有安裝Agent要連線到任一電腦或是非網頁服務還是挺麻煩的。